Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1386370 - clamtk works on Fedora 25 Workstation, but doesn't start on Fedora 25 KDE
Summary: clamtk works on Fedora 25 Workstation, but doesn't start on Fedora 25 KDE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamtk
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 19:15 UTC by Giulio 'juliuxpigface'
Modified: 2016-11-30 05:27 UTC (History)
4 users (show)

Fixed In Version: clamtk-5.24-1.fc23 clamtk-5.24-1.fc24 clamtk-5.24-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-29 23:53:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch to fix error (509 bytes, patch)
2016-11-02 18:58 UTC, Vinicius
no flags Details | Diff

Description Giulio 'juliuxpigface' 2016-10-18 19:15:01 UTC
Description of problem:

clamtk fails to start on Fedora 25 KDE, throwing the following line on terminal:

"Icon 'gtk-new' not present in theme at /usr/share/perl5/vendor_perl/ClamTk/GUI.pm line 281."

However, it works on Fedora 25 Workstation.

Version-Release number of selected component (if applicable):
clamtk-5.22-1.fc25.noarch

How reproducible:
Always

Steps to Reproduce:
1.Launch 'clamtk' on konsole.

Actual results:
clamtk doesn't start.

Expected results:
clamtk should work with KDE too.

Comment 1 Dave M 2016-10-18 19:20:58 UTC
Hi Giulio,

The message comes up because the theme you're using does not have that icon.  Other themes do have that icon.

I don't have a good way to fix this.  If I incorporate icons, some users won't be happy because they like the icon theme they use.  If I don't incorporate icons, there's a chance this error will happen...

Thanks,
Dave M

Comment 2 Giulio 'juliuxpigface' 2016-10-18 19:49:21 UTC
Hello Dave.

Thank you for the fast response. Anyway, I've already suspected that, but there is something I don't understand.

Fedora 25 Workstation uses the "adwaita-icon-theme-3.22.0-1.fc25.noarch" theme. I tried to apply it (and to apply the other themes) on KDE, but the issue is still present.

Moreover... Speaking about icons, the KDE spin comes with same package set as the Workstation one. So, there aren't big differences, apart from the "breeze-icon-theme", which isn't installed by default on Gnome:

FEDORA 25 KDE:
$ rpm -qa | grep icon-theme | sort
adwaita-icon-theme-3.22.0-1.fc25.noarch
breeze-icon-theme-5.27.0-1.fc25.noarch
gnome-icon-theme-3.12.0-4.fc24.noarch
gnome-icon-theme-legacy-3.12.0-4.fc24.noarch
hicolor-icon-theme-0.15-3.fc24.noarch
oxygen-icon-theme-5.27.0-1.fc25.noarch

FEDORA 25 WORKSTATION:
$ rpm -qa | grep icon-theme | sort
adwaita-icon-theme-3.22.0-1.fc25.noarch
gnome-icon-theme-3.12.0-4.fc24.noarch
gnome-icon-theme-legacy-3.12.0-4.fc24.noarch
hicolor-icon-theme-0.15-3.fc24.noarch
oxygen-icon-theme-5.27.0-1.fc25.noarch

Comment 3 Dave M 2016-10-18 19:58:57 UTC
Hi Giulio,

I'm stumped there.  It'd be nice if we could test for the existence of that icon, and if it doesn't exist, THEN use an icon incorporated with ClamTk...

I need to figure out how to do that.  I wish it would at least show the "icon-missing" image instead of just dying.

I'll keep researching, anyway. :)  Thanks for reporting it.

Thanks,
Dave M

Comment 4 danielemi 2016-10-24 03:33:30 UTC
Same problem trying in Xfce.. help!?

I have tried without luck to copy the icon in /usr/share/perl5/vendor_perl/ClamTk

Finally, setting my icons theme to Gnome run properly, but I can't stick on it..

Comment 5 Dave M 2016-10-29 15:13:15 UTC
(In reply to danielemi from comment #4)
> Same problem trying in Xfce.. help!?
> 
> I have tried without luck to copy the icon in
> /usr/share/perl5/vendor_perl/ClamTk
> 
> Finally, setting my icons theme to Gnome run properly, but I can't stick on
> it..

What theme are you using?  I love XFCE, so everything gets tested on it first, of course. :)  Most themes I've used on it have worked fine.

Thanks,
Dave M

Comment 6 danielemi 2016-10-30 00:43:51 UTC
In XFCE, I tried some icons themes and I ended up choosing Oxygen. I produced a custom version of it with the GTK icons and some other changes (eg. file manager, web browser).

I could eventually share it (41mb).

Comment 7 Vinicius 2016-11-02 18:58:16 UTC
Created attachment 1216709 [details]
Patch to fix error

This patch by anthraxx from AUR fix the error, by setting paths from gnome-icon-theme.

https://aur.archlinux.org/packages/clamtk

Comment 8 Dave M 2016-11-02 20:28:01 UTC
(In reply to megaphantomx from comment #7)
> Created attachment 1216709 [details]
> Patch to fix error
> 
> This patch by anthraxx from AUR fix the error, by setting paths from
> gnome-icon-theme.
> 
> https://aur.archlinux.org/packages/clamtk

It works great, thanks for pointing it out.  I left a comment there asking if they mind my adding it to upstream.  That way Arch can drop the patch, and distributions other than just Arch can benefit.

Thanks,
Dave M

Comment 9 Fedora Update System 2016-11-19 09:47:05 UTC
clamtk-5.24-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7a6841457

Comment 10 Fedora Update System 2016-11-19 09:47:14 UTC
clamtk-5.24-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-85b597d334

Comment 11 Fedora Update System 2016-11-19 09:47:19 UTC
clamtk-5.24-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-da2725eff5

Comment 12 Fedora Update System 2016-11-20 19:52:55 UTC
clamtk-5.24-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-85b597d334

Comment 13 Fedora Update System 2016-11-20 21:53:42 UTC
clamtk-5.24-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-da2725eff5

Comment 14 Fedora Update System 2016-11-21 21:10:41 UTC
clamtk-5.24-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7a6841457

Comment 15 Fedora Update System 2016-11-29 23:53:11 UTC
clamtk-5.24-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-11-30 03:52:40 UTC
clamtk-5.24-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-11-30 05:27:49 UTC
clamtk-5.24-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.